#ifndef LINK_H
#define LINK_H

#include "html.h"
#include "handle.h"
#include "dircache.h"

/* link.h: functions for extracting links from an html parse tree and
     inserting them into the file database
*/

void CreateDotRoot(pChildNode *childlist, char *url, int parenthandle);
void ExtractLink(pChildNode *childlist, struct tnode *html, int *nlink, int *nframe, int *nimage, char *url, int parentinode);
void ExtractLinks(pChildNode *childlist, struct tnode *html, int *nlink, int *nframe, int *nimage, char *url, int parentinode);
int AddLink(pChildNode *childlist, char *name, char *data, int linknumber, char *url, int parentinode);

#endif
