// use 5021 for lzw12
#define TABLE_SIZE                8209

struct dictionary {
    int code_value;
    int parent_code;
    char character;
};

struct TLZWParams {
  int did_old_code;
  int character;
  unsigned int next_code;
  unsigned int old_code;
  struct dictionary dict[TABLE_SIZE];
  char decode_stack[TABLE_SIZE];
};

void LZWCompressFile(char *input, int bytes, BIT_FILE *output, struct TLZWParams *p);
int LZWExpandFile(BIT_FILE *input, char *output, struct TLZWParams *p);
void LZWCompressInit(struct TLZWParams *p);
void LZWExpandInit(struct TLZWParams *p);
int LZWCompressString(char *input, struct TLZWParams *p, char *dest);
void LZWExpandString(char *input, int count, struct TLZWParams *p, char *dest, int *bread);

