#ifndef ATTR_H
#define ATTR_H

#include "handle.h"

#ifdef WINDOWS
#include "d:\bc\projects\proxy\hash\Hash.h"
#include "nfsfake.h"
#else
#include "hash.h"
#include "nfs.h"
#endif

void AttrInit(void);
void AttrIncrementTime(char *handle);
void AttrLookup(char *handle, struct fattr *attr);
int AttrLookupConsistant(char *handle, struct fattr *nfsattr);
void AttrSetPermissions(char *handle, struct sattr *nfsattr); 

#endif

