/************************** Start of BITIO.H *************************/

#ifndef _BITIO_H
#define _BITIO_H

#include <stdio.h>

typedef struct bit_file {
    char *buffer;
    char *start;
    unsigned char mask;
    int rack;
    int pacifier_counter;
    int count;
} BIT_FILE;

//BIT_FILE     *OpenInputBitFile( char *name );
//BIT_FILE     *OpenOutputBitFile( char *name );

BIT_FILE *OpenInputBitFile(char *buffer, int count);
BIT_FILE *OpenOutputBitFile(char *buffer);


void          OutputBit( BIT_FILE *bit_file, int bit );
void          OutputBits( BIT_FILE *bit_file,
                          unsigned long code, int count );
int           InputBit( BIT_FILE *bit_file );
unsigned long InputBits( BIT_FILE *bit_file, int bit_count );
int          CloseInputBitFile( BIT_FILE *bit_file );
int           CloseOutputBitFile( BIT_FILE *bit_file );

#endif  /* _BITIO_H */

/*************************** End of BITIO.H **************************/

