#ifndef FALLBACK_H
#define FALLBACK_H

typedef struct TUrlNode *pUrlNode;
struct TUrlNode {
  char *Url;
  int Valid;
  int Number;
};

typedef struct THeaderNode *pHeaderNode;
struct THeaderNode {
  char *Headers;
  int Valid;
  int Number;
};

extern int NumberOfNodes, NumberOfNodesCreated, NumberOfNodesDeleted;

void UrlTableInit();
pUrlNode UrlNodeAlloc(void);
int UrlTableStoreUrl(char *url);
int UrlTableRetrieveUrl(int ident, char **url);

pHeaderNode HeaderNodeAlloc(void);
int HeaderTableStore(char *headers);
int HeaderTableRetrieve(int ident, char **headers);


#endif
