
#ifndef FRAGMENT_H
#define FRAGMENT_H

#include "handle.h"

#define HTTPDATA_DEFAULT_SIZE 8192

typedef struct THttpData *pHttpData;
struct THttpData {
  char *Bytes;       // pointer to start of buffer
  char *ResultPtr;   // pointer to start of data in buffer
  int Size;	     // size of buffer
  int Count;	     // size of result
};

void FragmentInit(char *squidname, int squidport);
int GetBytes(fhandle handle, int offset, int count, pHttpData data, int tid);
int GetHeaders(fhandle handle, int offset, int count, pHttpData data, int tid);

pHttpData HttpDataAlloc(int size);
void HttpDataFree(pHttpData buf);

#endif
