#define MAX_HEADERS 256

typedef struct THeaderSet *pHeaderSet;
struct THeaderSet {
  int NumHeaders;
  char *Tag[MAX_HEADERS];
  char *Data[MAX_HEADERS];
};

void HsetCompose(char *dest, pHeaderSet src);
void HsetDecompose(pHeaderSet dest, char *src);
void HsetQuickSort(int l, int r, pHeaderSet hset);
void HsetMerge(pHeaderSet dest, pHeaderSet first, pHeaderSet second);
void HsetUpdate(char **dest, char *orig, char *update);
