#ifndef html_h
#define html_h

#define tagHeaderNode -1
#define tagUnknown 0
#define tagSpace 1
#define tagText 2
#define tagHtml 3
#define tagTitle 4
#define tagBody 5
#define tagH1 6
#define tagH2 7
#define tagH3 8
#define tagH4 9
#define tagH5 10
#define tagH6 11
#define tagH7 12
#define tagH8 13
#define tagPara 14
#define tagUL 15
#define tagOL 16
#define tagDL 17
#define tagLI 18
#define tagDD 19
#define tagDT 20
#define tagAddress 21
#define tagB 22
#define tagCite 23
#define tagDFN 24
#define tagDIR 25
#define tagEM 26
#define tagI 27
#define tagKBD 28
#define tagListing 29
#define tagPlaintext 30
#define tagS 31
#define tagSamp 32
#define tagStrike 33
#define tagStrong 34
#define tagTT 35
#define tagU 36
#define tagVar 37
#define tagXMP 38
#define tagCode 39
#define tagCenter 40
#define tagNOBR 41
#define tagPre 42
#define tagWBR 43
#define tagBlockQuote 44
#define tagBR 45
#define tagHR 46
#define tagIMG 47
#define tagForm 48
#define tagINPUT 49
#define tagISINDEX 50
#define tagSelect 51
#define tagOption 52
#define tagTable 53
#define tagTR 54
#define tagTD 55
#define tagTH 56
#define tagMenu 57
#define tagAnchor 58
#define tagComment 59
#define tagMeta 60
#define tagFrame 61
#define tagFrameset 62
#define tagBase 63
#define tagMap 64
#define tagArea 65

#define TokCount 66

typedef struct tparam *pparam;
struct tparam {
  char *Ident;
  char *Data;
  pparam Next;
};

typedef struct tnode *pnode;
struct tnode {
  int Tag;
  pnode Parent, Next, Child, Prev, LastChild;
  char *Text;
  pparam Params;
};

#endif