#ifndef MD5FILE_H
#define MD5FILE_H

#ifdef CPLUSPLUS
extern "C" {
#endif

typedef unsigned long md5file_word;

typedef struct md5file
 {
  md5file_word state[4];
  md5file_word count[2];
  unsigned char buffer[64];
 }
md5file;

#define MD5FILE_HASHLEN 16

extern void md5file_clear(md5file *context);
extern void md5file_add();
extern void md5file_addn(md5file *context, unsigned char *input, int inputLen);
extern void md5file_hash(md5file *context, unsigned char digest[16]);

#ifdef CPLUSPLUS
}
#endif

#endif
