#ifndef parse_h
#define parse_h

#include "html.h"

#ifdef __CPLUSPLUS__
extern "C" {
#endif

extern char *Lookup[TokCount];
int HtmlParse(struct tnode **rootnode, struct Buffer *buf);
int HtmlParseLinks(struct tnode **rootnode, struct Buffer *buf);
void HtmlDispose(struct tnode *n);
void ShowTree(int indent, struct tnode *t);
void HtmlWrite(struct tnode *n, int filedes, char *buf);
void ParseInitModule(void);

extern int is_stag(int x);

extern int IsLinkTag[TokCount];
extern int IsSTag[TokCount];
extern int IsLSTag[TokCount];

extern int ParseWantNewlineLeadSpace;

#ifdef __CPLUSPLUS__
}
#endif

#endif
